xcb_input_send_extension_event(3)

NAME
xcb_input_send_extension_event -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_void_cookie_t xcb_input_send_extension_event(xcb_connection_t *conn, xcb_window_t destination, uint8_t device_id, uint8_t propagate, uint16_t num_classes, uint8_t num_events, const xcb_input_event_for_send_t *events, const xcb_input_event_class_t *classes);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

destination
    TODO: NOT YET DOCUMENTED.

device_id
    TODO: NOT YET DOCUMENTED.

propagate
    TODO: NOT YET DOCUMENTED.

num_classes
    TODO: NOT YET DOCUMENTED.

num_events
    TODO: NOT YET DOCUMENTED.

events
    TODO: NOT YET DOCUMENTED.

classes
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_input_send_extension_event_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.